#ifndef __OPENFITS__H
#define __OPENFITS__H

#include <cstdio>

size_t openDataFits(
	const char *datafilename,		// path to fits file containing FACT raw data
	fits * * datafile,				// ptr to pointer, where to return the fits object
	vector<int16_t> &Data,			// vector, which will be filled with raw data
	vector<int16_t> &StartCells,	// vector, which will be filled with DRS start positions
	unsigned int &EventID,			// index of the current event
	UInt_t &RegionOfInterest,		// Width of the Region, read out of the DRS
	UInt_t &NumberOfPixels,			// Total number of pixel, read out of the camera
	size_t &PXLxROI,				// Size of column "Data" = #Pixel x ROI
			// this can be used, to x-check RegionOfInterest and NumberOfPixels
	int VerbosityLevel				//
);

size_t openCalibFits(
  const char *FileName,     // path to fits file
  vector<float> &Offset,
  vector<float> &Gain,
  vector<float> &TriggerOffset,
  int VerbosityLevel
);


#endif //__OPENFITS__H
